> ## Documentation Index
> Fetch the complete documentation index at: https://audiencelab.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Custom Audience



## OpenAPI

````yaml /openapi.yaml post /audiences/custom
openapi: 3.0.0
info:
  title: AudienceLab API
  version: 1.0.0
  description: API endpoints for AudienceLab
servers:
  - url: https://api.audiencelab.io
    description: Production API
security:
  - ApiKeyAuth: []
tags:
  - name: Audience
  - name: Pixel
  - name: Enrichment
paths:
  /audiences/custom:
    post:
      tags:
        - Audience
      summary: Create Custom Audience
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateCustomIntentRequest'
      responses:
        '201':
          description: Custom intent created successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CreateCustomIntentResponse'
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
components:
  schemas:
    CreateCustomIntentRequest:
      type: object
      properties:
        topic:
          type: string
          description: The custom topic name
        description:
          type: string
          description: Description of the custom topic
      required:
        - topic
        - description
      example:
        topic: Custom Interest
        description: Users interested in custom topic
    CreateCustomIntentResponse:
      type: object
      properties:
        status:
          type: string
          example: processing
    ErrorResponse:
      type: object
      properties:
        message:
          type: string
          example: error message
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-Api-Key

````